Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.placer
Class QueuedEntityPlacer

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
          org.optaplanner.core.impl.constructionheuristic.placer.QueuedEntityPlacer

All Implemented Interfaces:
  Iterable<Placement>, EventListener, EntityPlacer, PhaseLifecycleListener, SolverLifecycleListener

    public class QueuedEntityPlacer

extends AbstractEntityPlacer
implements EntityPlacer

Field Summary
`protected EntitySelector` | `entitySelector`
`protected List<MoveSelector>` | `moveSelectorList`

Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
`logger, phaseLifecycleSupport`

Constructor Summary
`QueuedEntityPlacer(EntitySelector entitySelector, List<MoveSelector> moveSelectorList)`

Method Summary
`Iterator<Placement>` | `iterator()`

Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### entitySelector

    protected final EntitySelector entitySelector

### moveSelectorList

    protected final List<MoveSelector> moveSelectorList

Constructor Detail

### QueuedEntityPlacer

    public QueuedEntityPlacer(EntitySelector entitySelector,
                              List<MoveSelector> moveSelectorList)

Method Detail

### iterator

    public Iterator<Placement> iterator()

  Specified by:
    `iterator` in interface `Iterable<Placement>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.